Go
package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
verification "github.com/auth0/go-auth0/management/management/verifiablecredentials/verification"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &verification.UpdateVerifiableCredentialTemplateRequestContent{}
client.VerifiableCredentials.Verification.Templates.Update(
context.TODO(),
"id",
request,
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.verifiableCredentials.verification.templates.update("id", {});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.verifiableCredentials.verification.templates.update("id", {});
}
main();curl --request PATCH \
--url https://{tenantDomain}/api/v2/verifiable-credentials/verification/templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"type": "<string>",
"dialect": "<string>",
"well_known_trusted_issuers": "<string>",
"version": 123
}
'import requests
url = "https://{tenantDomain}/api/v2/verifiable-credentials/verification/templates/{id}"
payload = {
"name": "<string>",
"type": "<string>",
"dialect": "<string>",
"well_known_trusted_issuers": "<string>",
"version": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
{
"id": "vct_0000000000000001",
"name": "<string>",
"type": "mdl",
"dialect": "simplified/1.0",
"presentation": {
"org.iso.18013.5.1.mDL": {
"org.iso.18013.5.1": {
"family_name": true,
"given_name": true,
"birth_date": true,
"issue_date": true,
"expiry_date": true,
"issuing_country": true,
"issuing_authority": true,
"portrait": true,
"driving_privileges": true,
"resident_address": true,
"portrait_capture_date": true,
"age_in_years": true,
"age_birth_year": true,
"issuing_jurisdiction": true,
"nationality": true,
"resident_city": true,
"resident_state": true,
"resident_postal_code": true,
"resident_country": true,
"family_name_national_character": true,
"given_name_national_character": true
}
}
},
"custom_certificate_authority": "<string>",
"well_known_trusted_issuers": "<string>",
"created_at": "2021-01-01T00:00:00Z",
"updated_at": "2021-01-01T00:00:00Z"
}Update a verifiable credential template by ID.
Update a verifiable credential template.
PATCH
https://{tenantDomain}/api/v2
/
verifiable-credentials
/
verification
/
templates
/
{id}
Go
package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
verification "github.com/auth0/go-auth0/management/management/verifiablecredentials/verification"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &verification.UpdateVerifiableCredentialTemplateRequestContent{}
client.VerifiableCredentials.Verification.Templates.Update(
context.TODO(),
"id",
request,
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.verifiableCredentials.verification.templates.update("id", {});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.verifiableCredentials.verification.templates.update("id", {});
}
main();Autorisations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paramètres de chemin
ID of the template to retrieve.
Maximum string length:
26Corps
application/jsonapplication/x-www-form-urlencoded
Required string length:
1 - 255Required string length:
1 - 255Maximum string length:
255Pattern:
^simplified/1.0$A simplified presentation request
Show child attributes
Show child attributes
Required string length:
1 - 255Pattern:
^aamva$Réponse
Template successfully updated.
The id of the template.
The name of the template.
The type of the template.
The dialect of the template.
Maximum string length:
255A simplified presentation request
Show child attributes
Show child attributes
The custom certificate authority.
Required string length:
1 - 4096The well-known trusted issuers, comma separated.
Required string length:
1 - 255The date and time the template was created.
The date and time the template was created.
Cette page vous a-t-elle été utile ?
⌘I